Bug 469978 - rmem.ko documentation needs corrections
rmem.ko documentation needs corrections
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Realtime_Installation_Guide (Show other bugs)
1.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lana Brindley
Kim van der Riet
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 19:06 EST by Clark Williams
Modified: 2013-10-23 19:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-05 01:26:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clark Williams 2008-11-04 19:06:35 EST
Description of problem
> 
> Begin forwarded message:
> 
> Date: Mon, 03 Nov 2008 15:13:50 -0800
> From: Darren Hart <dvhltc@us.ibm.com>
> To: Clark Williams <williams@redhat.com>
> Subject: /dev/rmem documentation
> 
> 
> The rmem docs here have some errors in them
> 
> http://www.redhat.com/docs/en-US/Red_Hat_Enterprise_MRG/1.0/html/Real_Time_Deployment_Guide/chap-Real_Time_Deployment_Guide-RT_Kernel_Tuning.html
> 
> the unprotected_address_spaces=1 option is to the module itself (via 
> modprobe) and isn't plural, should be unprotected_address_space=1
> 
> - -- 
> Darren Hart
> IBM Linux Technology Center
> Real-Time Linux Team

We need to clarify that the option is for the module (not a kernel boot parameter) and that it is "unprotected_address_space" (note: no trailing 's').
Comment 1 Lana Brindley 2008-12-05 01:26:09 EST
<para>
	The capability can only be enabled as a result of direct root system administrator action. To further prevent accidental usage, the capability is disabled unless <parameter>unprotected_address_space=1</parameter> is specified as an option for the module in the <filename>grub.conf</filename> file. If the <filename>rmem.ko</filename> kernel module is explicitly loaded, the kernel will have a <parameter>tainted</parameter> flag. In this case, Red Hat Global Support may require you to reproduce any problems without the presence of <filename>rmem.ko</filename>.
</para>

LKB

Note You need to log in before you can comment on or make changes to this bug.